Subject: Re: build failure from ip6mr stats change.

From: Pavel Emelyanov <[email-masked]>
Date: Thu, 22 May 2008 12:32:00 +0400

David Miller wrote:
> How could you possibly have test compiled this?
> 
> You kept the "stats->foo" dereferences but those all
> need to be "stats.foo"

Yikes! 8( I swear I saw the

  CC    net/ipv6/ip6mr.o

line when building one...

Argh :( I didn't turn the CONFIG_IP_PIMSM on and all statistics
happened to be under this option only.

> I've fixed it up as below.
> 
> UGH, the ipv4 ipmr patch has the same problem, I'll fix that up to :-(

Thank you. Sorry for bad patchset :(

> ip6mr: Use on-device stats instead of private ones.
> 
> Similar to ipmr.
> 
> [ Fix build failures -DaveM ]
> 
> Signed-off-by: Pavel Emelyanov <[email-masked]>
> Signed-off-by: David S. Miller <[email-masked]>